// SpecialPrintDlg.cpp : implementation file
//

#include "stdafx.h"
#include "tinycad.h"
#include "SpecialPrintDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSpecialPrintDlg

IMPLEMENT_DYNAMIC(CSpecialPrintDlg, CPrintDialog)

CSpecialPrintDlg::CSpecialPrintDlg(BOOL bPrintSetupOnly, DWORD dwFlags, CWnd* pParentWnd) :
	CPrintDialog(bPrintSetupOnly, dwFlags, pParentWnd)
{
	m_pd.Flags |= PD_ENABLEPRINTTEMPLATE;
	m_pd.hInstance = AfxGetInstanceHandle();
	m_pd.lpPrintTemplateName = MAKEINTRESOURCE( IDD_PRINT ); 

}


BEGIN_MESSAGE_MAP(CSpecialPrintDlg, CPrintDialog)
	//{{AFX_MSG_MAP(CSpecialPrintDlg)
	ON_BN_CLICKED(PRINT_BANDW, OnBandw)
	ON_BN_CLICKED(1, OnOK)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


void CSpecialPrintDlg::OnBandw() 
{
	m_BlackAndWhite = m_BandWCtrl->GetCheck();
	((CTinyCadApp*)AfxGetApp())->SetPrintBandW( m_BlackAndWhite );
}

BOOL CSpecialPrintDlg::OnInitDialog() 
{
	CPrintDialog::OnInitDialog();
	
	m_BandWCtrl = (CButton*)GetDlgItem( PRINT_BANDW );
	m_BlackAndWhite = ((CTinyCadApp*)AfxGetApp())->GetPrintBandW();
	m_Scale = ((CTinyCadApp*)AfxGetApp())->GetPrintScale();
	m_BandWCtrl->SetCheck( m_BlackAndWhite );
	SetDlgItemInt( IDC_SCALE, m_Scale );
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSpecialPrintDlg::OnOK() 
{
	// TODO: Add your control notification handler code here
	m_Scale = GetDlgItemInt( IDC_SCALE );
	((CTinyCadApp*)AfxGetApp())->SetPrintScale( m_Scale );	
	EndDialog( IDOK );
}
